<div *ngIf="userList?.length>0 else noData" class="list-group">
    <!-- <a *ngFor="let user of userList" [routerLink]="['user', user.id]" class="list-group-item list-group-item-action"> -->
        <a *ngFor="let user of userList" 
            (click)="navigateToModifyUser(user.id)" 
            class="list-group-item list-group-item-action">
        <div class="d-flex w-100 justify-content-between">
            <div class="d-flex justify-content-start">
                <h5 class="mb-1">{{user.name}} {{user.lastName}}</h5>
                &nbsp;&nbsp;<small><span> {{user.id}}</span></small>
            </div>
            <small  class="text-muted">{{user.active? 'active': 'inactve'}}</small>
        </div>
        <p class="mb-1">{{user.email}}</p>
        <small *ngFor="let role of user.roles" class="text-muted">{{role.role}}&nbsp;&nbsp;</small>
    </a>
</div>
<ng-template #noData>No records found.</ng-template>